# Generated from facterdb-3.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name facterdb

Name: rubygem-%{gem_name}
Version: 3.3.0
Release: 1%{?dist}
Summary: A Database of OS facts provided by Facter
License: Apache-2.0
URL: http://github.com/voxpupuli/facterdb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
# BuildRequires: rubygem(coveralls) >= 0.8.23
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(rspec) >= 3.13
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(voxpupuli-rubocop) >= 2.8.0
# BuildRequires: rubygem(voxpupuli-rubocop) < 2.9
BuildArch: noarch

%description
Contains facts from many Facter version on many Operating Systems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/facterdb
%{_bindir}/legacy-facts-striper
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/database
%{gem_instdir}/facts
%{gem_instdir}/hugo
%{gem_instdir}/images
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/facterdb.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 11 2024 mockbuilder - 3.3.0-1
- Initial package
